package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.ZdAssortApi;
import com.docus.server.dto.segmentation.zdassort.AddZdAssortDTO;
import com.docus.server.dto.segmentation.zdassort.DeleteZdAssortDTO;
import com.docus.server.dto.segmentation.zdassort.EditZdAssortDTO;
import com.docus.server.service.IZdAssortService;
import com.docus.server.vo.segmentation.zdassort.ZdAssortVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 病案分类 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-30
 */
@Api(value = "病案分类", tags = "病案分类")
@RestController
public class ZdAssortController implements ZdAssortApi {
    @Resource
    private IZdAssortService iZdAssortService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public ZdAssortVO findById(Long id) {
        return iZdAssortService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<ZdAssortVO> findAll() {
        return iZdAssortService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<ZdAssortVO> search(SearchDTO searchDTO) {
        return iZdAssortService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addZdAssortDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddZdAssortDTO addZdAssortDTO) {
        iZdAssortService.add(addZdAssortDTO);
    }

    /**
     * 编辑
     *
     * @param editZdAssortDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditZdAssortDTO editZdAssortDTO) {
        iZdAssortService.edit(editZdAssortDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteZdAssortDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteZdAssortDTO deleteZdAssortDTO) {
        return iZdAssortService.delete(deleteZdAssortDTO);
    }
}
